import { ReportCommunicationsComponent } from './report-communication/report-communications/report-communications.component';
import { FollowCommunicationSectionsDetailsComponent } from './follow-communications-sections/follow-communication-sections-details/follow-communication-sections-details.component';
import { FollowCommunicationsAdminstrationEditComponent } from './follow-communications-adminstrations/follow-communications-adminstration-edit/follow-communications-adminstration-edit.component';
import { FollowCommunicationsAddComponent } from './follow-communications/follow-communications-add/follow-communications-add.component';
import { MaintenanceCommunicationEditComponent } from './maintenance-communications/maintenance-communication-edit/maintenance-communication-edit.component';
import { LocationAddComponent } from './definition-of-location/location-add/location-add.component';
import { LocationListComponent } from './definition-of-location/location-list/location-list.component';
import { DefinitionAddComponent } from './definition-of-classification/definition-add/definition-add.component';
import { FinalTraineeReportComponent } from './final-trainee-report/final-trainee-report.component';
import { ExistingReportComponent } from './reports-existing-vehicles/existing-report/existing-report.component';
import { VehicleMaintenanceAddComponent } from './vehicle-maintenance/vehicle-maintenance-add/vehicle-maintenance-add.component';
import { VehicleMaintenanceListComponent } from './vehicle-maintenance/vehicle-maintenance-list/vehicle-maintenance-list.component';
import { RegisterMovementVehicleListComponent } from './register-movement-vehicle/register-movement-vehicle-list/register-movement-vehicle-list.component';
import { RegistrationVehicleListComponent } from './registration-vehicle/registration-vehicle-list/registration-vehicle-list.component';
import { VehicleAddComponent } from './vehicle/vehicle-add/vehicle-add.component';
import { VehicleListComponent } from './vehicle/vehicle-list/vehicle-list.component';
import { FinalAccerditationAddComponent } from './final-accreditation-of-trainees/final-accerditation-add/final-accerditation-add.component';
import { FinalAccerditationListComponent } from './final-accreditation-of-trainees/final-accerditation-list/final-accerditation-list.component';
import { PrintCardTraineeListComponent } from './print-card-trainee/print-card-trainee-list/print-card-trainee-list.component';
import { TrainnerDataAddComponent } from './trainner-data/trainner-data-add/trainner-data-add.component';
import { ReviewTraineeDataListComponent } from './reivew-trainee-data/review-trainee-data-list/review-trainee-data-list.component';
import { AbsorpationListComponent } from './absorpation-plan/absorpation-list/absorpation-list.component';
import { SupervisorAddComponent } from './supervisor/supervisor-add/supervisor-add.component';
import { MapComponent } from './map/map.component';
import { NgModule, Component } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { AddAdverComponent } from './advertisiment/add-advertisiment/add-adver/add-adver.component';
import { AdvertisimentComponent } from './advertisiment/advertisiment.component';
import { RoleReport2Component } from './roles/role-report2/role-report2.component';
import { UserPermissionComponent } from './users/user-permission/user-permission.component';
import { AddMenuComponent } from './main-menu/add-menu/add-menu.component';
import { MainListComponent } from './main-menu/main-list/main-list.component';
import { AddLectureComponent } from './lectures/add-lecture/add-lecture.component';
import { LecturesListComponent } from './lectures/lectures-list/lectures-list.component';
import { AddInternalServicesComponent } from './internal-services/add-internal-services/add-internal-services.component';
import { InternalServicesComponent } from './internal-services/internal-services.component';
import { FooterListComponent } from './footer/footer-list/footer-list.component';
import { AddNewsComponent } from './news/add-news/add-news.component';
import { NewsListComponent } from './news/news-list/news-list.component';
import { AddTabComponent } from './tabs/add-tab/add-tab.component';
import { TabListComponent } from './tabs/tab-list/tab-list.component';
import { AddAchievementComponent } from './achievements/add-achievement/add-achievement.component';
import { AchievementComponent } from './achievements/achievement-list/achievement.component';
import { AddExternalComponent } from './external-services/add-external/add-external.component';
import { AddEventComponent } from './events/add-event/add-event.component';
import { AddHospitalComponent } from './hospitals/add-hospital/add-hospital.component';
import { HospitalListComponent } from './hospitals/hospital-list/hospital-list.component';
import { AddSectionComponent } from './sections/add-section/add-section.component';
import { AddDepartmentComponent } from './department/add-department/add-department.component';
import { AddRolesComponent } from './roles/add-roles/add-roles.component';
import { AddJoinUsComponent } from './add-join-us/add-join-us.component';
import { DepartmentListComponent } from './department/department-list/department-list.component';
import { UsersComponent } from './users/users.component';
import { ServiceItemComponent } from './service-item/service-item.component';
import { AuthGuardService as AuthGuard } from '../shared/auth-guard.service';
import { RolesListComponent } from './roles/roles-list/roles-list.component';
import { SectionListComponent } from './sections/section-list/section-list.component';
import { ReportsPageComponent } from './reports-page/reports-page.component';
import { FormUserComponent } from './users/form-user/form-user.component';
import { ExternalListComponent } from './external-services/external-list/external-list.component';
import { AddFooterComponent } from './footer/add-footer/add-footer.component';
import { UserReportComponent } from './users/user-report/user-report.component';
import { RoleReportComponent } from './roles/role-report/role-report.component';
import { ReportListComponent } from './report-list/report-list.component';
import { EventsComponent } from './events/events.component';
import { BarEventsListComponent } from './bar-events/bar-events-list/bar-events-list.component';
import { AddBarEventComponent } from './bar-events/add-bar-event/add-bar-event.component';
import { ContactUsListComponent } from './contact-us/contact-us-list/contact-us-list.component';
import { AddContactUsComponent } from './contact-us/add-contact-us/add-contact-us.component';
import { VisitingTimesListComponent } from './visiting-times/visiting-times-list/visiting-times-list.component';
import { AddVisitingTimeComponent } from './visiting-times/add-visiting-time/add-visiting-time.component';
import { EventCalendarsListComponent } from './event-calendars/event-calendars-list/event-calendars-list.component';
import { AddEventCalendarComponent } from './event-calendars/add-event-calendar/add-event-calendar.component';
import { ExternalAchievementsListComponent } from './external-achievements/external-achievements-list/external-achievements-list.component';
import { AddExternalAchievementComponent } from './external-achievements/add-external-achievement/add-external-achievement.component';
import { StatisticsListComponent } from './statistics/statistics-list/statistics-list.component';
import { AddStatisticComponent } from './statistics/add-statistic/add-statistic.component';
import { AdvertisingServicesListComponent } from './advertising-services/advertising-services-list/advertising-services-list.component';
import { AddAdvertisingServiceComponent } from './advertising-services/add-advertising-service/add-advertising-service.component';
import { SupervisorListComponent } from './supervisor/supervisor-list/supervisor-list.component';
import { AbsorpationAddComponent } from './absorpation-plan/absorpation-add/absorpation-add.component';
import { TrainnerDataListComponent } from './trainner-data/trainner-data-list/trainner-data-list.component';
import { ReviewTraineeAddComponent } from './reivew-trainee-data/review-trainee-add/review-trainee-add.component';
import { SectionReviewTraineeListComponent } from './section-review-for-trainee/section-review-trainee-list/section-review-trainee-list.component';
import { SectionReviewTraineeAddComponent } from './section-review-for-trainee/section-review-trainee-add/section-review-trainee-add.component';
import { RegistrationTraineeMovementListComponent } from './Registration-trainee-movement/registration-trainee-movement-list/registration-trainee-movement-list.component';
import { RegistrationTraineeMovementAddComponent } from './Registration-trainee-movement/registration-trainee-movement-add/registration-trainee-movement-add.component';
import { PrintCardTraineeAddComponent } from './print-card-trainee/print-card-trainee-add/print-card-trainee-add.component';
import { ModelVehicleListComponent } from './model-vehicle/model-vehicle-list/model-vehicle-list.component';
import { ModelVehicleAddComponent } from './model-vehicle/model-vehicle-add/model-vehicle-add.component';
import { RegistrationVehicleAddComponent } from './registration-vehicle/registration-vehicle-add/registration-vehicle-add.component';
import { RegisterMovementVehicleAddComponent } from './register-movement-vehicle/register-movement-vehicle-add/register-movement-vehicle-add.component';
import { VehicleMovementReportComponent } from './vehicle-movement-report/vehicle-movement-report/vehicle-movement-report.component';
import { DefinitionListComponent } from './definition-of-classification/definition-list/definition-list.component';
import { DefinitionTimeListComponent } from './definition-of-time/definition-time-list/definition-time-list.component';
import { DefinitionTimeAddComponent } from './definition-of-time/definition-time-add/definition-time-add.component';
import { AdminstrationContactOfficersListComponent } from './adminstration-contact-officers/adminstration-contact-officers-list/adminstration-contact-officers-list.component';
import { AddNewReportComponent } from './create-report/add-new-report/add-new-report.component';
import { MaintenanceCommunicationsListComponent } from './maintenance-communications/maintenance-communications-list/maintenance-communications-list.component';
import { ReportCurrentEmployeeOfficerComponent } from './report-current-employees-officer/report-current-employee-officer/report-current-employee-officer.component';
import { LivingServiceListComponent } from './living-service/living-service-list/living-service-list.component';
import { LivingServiceAddComponent } from './living-service/living-service-add/living-service-add.component';
import { DefinitionOfCovenantsListComponent } from './definition-of-covenants/definition-of-covenants-list/definition-of-covenants-list.component';
import { DefinitionOfCovenantsAddComponent } from './definition-of-covenants/definition-of-covenants-add/definition-of-covenants-add.component';
import { RecordInfoBuildingListComponent } from './record-info-building/record-info-building-list/record-info-building-list.component';
import { RecordInfoBuildingAddComponent } from './record-info-building/record-info-building-add/record-info-building-add.component';
import { UnitInformationListComponent } from './unit-information/unit-information-list/unit-information-list.component';
import { UnitInformationAddComponent } from './unit-information/unit-information-add/unit-information-add.component';
import { UnitBuildingInformationListComponent } from './unit-building-information/unit-building-information-list/unit-building-information-list.component';
import { UnitBuildingInformationAddComponent } from './unit-building-information/unit-building-information-add/unit-building-information-add.component';
import { LinkUnitToCovenantsListComponent } from './link_unit_to_covenants/link-unit-to-covenants-list/link-unit-to-covenants-list.component';
import { LinkUnitToCovenantsAddComponent } from './link_unit_to_covenants/link-unit-to-covenants-add/link-unit-to-covenants-add.component';
import { ApplicationForHousingComponent } from './application-for-housing/application-for-housing.component';
import { ViewRequestsForAdminstrationListComponent } from './view_requests_for_adminstration/view-requests-for-adminstration-list/view-requests-for-adminstration-list.component';
import { ViewRequestsForAdminstrationDetailsComponent } from './view_requests_for_adminstration/view-requests-for-adminstration-details/view-requests-for-adminstration-details.component';
import { ViewRequestsForTenantComponent } from './view_requests_for_tenant/view-requests-for-tenant/view-requests-for-tenant.component';
import { ViewRequestsForTenantDetailsComponent } from './view_requests_for_tenant/view-requests-for-tenant-details/view-requests-for-tenant-details.component';
import { FemalesRequestTypesListComponent } from './females_request_types/females-request-types-list/females-request-types-list.component';
import { FemalesRequestTypesAddComponent } from './females_request_types/females-request-types-add/females-request-types-add.component';
import { ViewMyFemaleRequestsListComponent } from './view_my_female_requests/view-my-female-requests-list/view-my-female-requests-list.component';
import { ViewMyFemaleRequestsAddComponent } from './view_my_female_requests/view-my-female-requests-add/view-my-female-requests-add.component';
import { LivingSystemReportsComponent } from './living_system_reports/living-system-reports/living-system-reports.component';
    
const dashboardRouting: Routes = [
    {path: 'service/:userID/:serviceID', component: ServiceItemComponent, canActivate: [AuthGuard], children: [
    {path: 'users/:listPageId', component: UsersComponent, canActivate: [AuthGuard]},
    {path: 'roles/:listPageId', component: RolesListComponent, canActivate: [AuthGuard]},
    {path: 'departments/:listPageId', component: DepartmentListComponent, canActivate: [AuthGuard]},
    {path: 'sections/:listPageId', component: SectionListComponent, canActivate: [AuthGuard]},
    {path: 'reports', component: ReportsPageComponent, canActivate: [AuthGuard]},
    {path: 'addu/:type_add', component: FormUserComponent, canActivate: [AuthGuard]},
    {path: 'addJoinUs', component: AddJoinUsComponent, canActivate:[AuthGuard]},
    {path: 'joinUs/:typeJoinMode/:editJoinId', component: AddJoinUsComponent, canActivate:[AuthGuard]},
    {path: 'join/:typemode/:userEditId', component: FormUserComponent, canActivate: [AuthGuard]},
    {path: 'user/:typemode/:userEditId', component: FormUserComponent, canActivate: [AuthGuard]},
    {path: 'addRole', component: AddRolesComponent, canActivate: [AuthGuard]},
    {path: 'editRole/:typeRoleMode/:roleEditId', component: AddRolesComponent, canActivate: [AuthGuard]},
    {path: 'addAdminstration', component: AddDepartmentComponent, canActivate: [AuthGuard]},
    {path: 'editAdminstration/:typeAdminMode/:editAdminId', component: AddDepartmentComponent, canActivate: [AuthGuard]},
    {path: 'addSection', component: AddSectionComponent, canActivate: [AuthGuard]},
    {path: 'editSection/:typeSectionMode/:editSectionId', component: AddSectionComponent, canActivate: [AuthGuard]},
    {path: 'hospitalsList/:listPageId', component: HospitalListComponent, canActivate: [AuthGuard]},
    {path: 'mangementList/:listPageId', component: HospitalListComponent, canActivate: [AuthGuard]},
    {path: 'add/:typeAdd' , component: AddHospitalComponent, canActivate: [AuthGuard]},
    {path: 'Hospital/:typeHospitalMode/:editTypePageId', component: AddHospitalComponent, canActivate: [AuthGuard]},
    {path: 'Management/:typeHospitalMode/:editTypePageId', component: AddHospitalComponent, canActivate: [AuthGuard]},
    {path: 'eventsList/:listPageId', component: EventsComponent, canActivate: [AuthGuard]},
    {path: 'addEvent', component: AddEventComponent, canActivate: [AuthGuard]},
    {path: 'Event/:typeEventMode/:editEventId', component: AddEventComponent, canActivate:[AuthGuard]},
    {path: 'externalsList/:listPageId', component: ExternalListComponent, canActivate: [AuthGuard]},
    {path: 'addExternal', component: AddExternalComponent, canActivate: [AuthGuard]},
    {path: 'externalService/:typeExternalMode/:editExternalId', component: AddExternalComponent, canActivate: [AuthGuard]},
    {path: 'achievementsList/:listPageId', component: AchievementComponent, canActivate: [AuthGuard]},
    {path: 'addAchievement', component: AddAchievementComponent, canActivate: [AuthGuard]},
    {path: 'achievement/:typeAchieventMode/:editAchievementId', component: AddAchievementComponent, canActivate: [AuthGuard]},
    {path: 'joinUs/:userPageId', component: UsersComponent, canActivate: [AuthGuard]},
    {path: 'tabs/:listPageId', component: TabListComponent, canActivate: [AuthGuard]},
    {path: 'addTab', component: AddTabComponent, canActivate: [AuthGuard]},
    {path: 'tab/:typeTabMode/:editTabId', component: AddTabComponent, canActivate: [AuthGuard]},
    {path: 'newsList/:listPageId', component: NewsListComponent, canActivate: [AuthGuard]},
    {path: 'addNews', component: AddNewsComponent, canActivate: [AuthGuard]},
    {path: 'new/:typeNewMode/:editNewId', component: AddNewsComponent, canActivate: [AuthGuard]},
    {path: 'footerList/:listPageId', component: FooterListComponent, canActivate: [AuthGuard]},
    {path: 'addFooter', component: AddFooterComponent, canActivate: [AuthGuard]},
    {path: 'footer/:typeFooterMode/:editFooterId', component: AddFooterComponent, canActivate: [AuthGuard]},
    {path: 'internalServicesList/:listPageId', component: InternalServicesComponent, canActivate: [AuthGuard]},
    {path: 'addInternalServices', component: AddInternalServicesComponent, canActivate: [AuthGuard]},
    {path: 'InternalServices/:typeInternalMode/:editInternalId', component: AddInternalServicesComponent, canActivate: [AuthGuard]},
    {path: 'lecturesList/:listPageId', component: LecturesListComponent, canActivate:[AuthGuard]},
    {path: 'addLecture', component: AddLectureComponent, canActivate: [AuthGuard]},
    {path: 'Lecture/:typeLectureMode/:editLectureId', component: AddLectureComponent, canActivate: [AuthGuard]},
    {path: 'mainMenuList/:listPageId', component: MainListComponent, canActivate:[AuthGuard]},
    {path: 'addMenu', component: AddMenuComponent, canActivate: [AuthGuard]},
    {path: 'menu/:typeMenuMode/:editMenuId', component: AddMenuComponent, canActivate: [AuthGuard]},
    {path: 'userPermission/:userPermissionId', component: UserPermissionComponent, canActivate: [AuthGuard]},
    {path: 'userreport/:reportUserId', component: UserReportComponent, canActivate: [AuthGuard]},
    {path: 'roleReport/:roleReportId', component: RoleReportComponent, canActivate: [AuthGuard]},
    {path: 'userInRoleReport/:userRoleReportId', component: RoleReport2Component, canActivate: [AuthGuard]},
    {path: 'reportList/:reportName', component: ReportListComponent , canActivate: [AuthGuard]},
    {path: 'advertisimentList/:adverId', component: AdvertisimentComponent , canActivate: [AuthGuard]},
    {path: 'advertisiment/:typeAdver', component: AddAdverComponent , canActivate: [AuthGuard]},
    {path: 'barEventsList/:listPageId', component: BarEventsListComponent , canActivate: [AuthGuard]},
    {path: 'barEvent/:typeEventBar', component: AddBarEventComponent , canActivate: [AuthGuard]},
    {path: 'contactUsList/:listPageId', component: ContactUsListComponent , canActivate: [AuthGuard]},
    {path: 'contactUs/:typeContactUs/:contactId', component: AddContactUsComponent , canActivate: [AuthGuard]},
    {path: 'visitingTimesList/:listPageId', component: VisitingTimesListComponent , canActivate: [AuthGuard]},
    {path: 'visitingTime/:typeVisitingTime/:visitingTimeId', component: AddVisitingTimeComponent , canActivate: [AuthGuard]},
    {path: 'eventCalendarsList/:listPageId', component: EventCalendarsListComponent , canActivate: [AuthGuard]},
    {path: 'addEventCalendar', component: AddEventCalendarComponent, canActivate: [AuthGuard] },
    {path: 'eventCalendar/:typeEventCalendar/:eventCalendarId', component: AddEventCalendarComponent , canActivate: [AuthGuard]},
    {path: 'externalAchievementsList/:listPageId', component: ExternalAchievementsListComponent , canActivate: [AuthGuard]},
    {path: 'addExternalAchievement', component: AddExternalAchievementComponent, canActivate: [AuthGuard] },
    {path: 'externalAchievement/:typeExternalAchievement/:externalAchievementId', component: AddExternalAchievementComponent , canActivate: [AuthGuard]},
    {path: 'statisticsList/:listPageId', component: StatisticsListComponent , canActivate: [AuthGuard]},
    {path: 'addStatistic', component: AddStatisticComponent, canActivate: [AuthGuard] },
    {path: 'statistic/:typeStatistic/:statisticId', component: AddStatisticComponent , canActivate: [AuthGuard]},
    {path: 'advertisingList/:listPageId', component: AdvertisingServicesListComponent , canActivate: [AuthGuard]},
    {path: 'addAdvertising', component: AddAdvertisingServiceComponent, canActivate: [AuthGuard] },
    {path: 'advertising/:typeAdvertising/:advertisingId', component: AddAdvertisingServiceComponent , canActivate: [AuthGuard]},
    {path: 'map/:listPageId', component: MapComponent, canActivate: [AuthGuard]},
    {path: 'supervisorList/:listPageId', component: SupervisorListComponent, canActivate: [AuthGuard]},
    {path: 'superVisor/Add', component: SupervisorAddComponent, canActivate: [AuthGuard]},
    {path: 'superVisor/edit/:superEditId', component: SupervisorAddComponent, canActivate: [AuthGuard]},
    {path: 'absorpationList/:listPageId', component: AbsorpationListComponent, canActivate: [AuthGuard]},
    {path: 'absorpation/Add', component: AbsorpationAddComponent, canActivate: [AuthGuard]},
    {path: 'absorpation/edit/:absorpationEditId', component: AbsorpationAddComponent, canActivate: [AuthGuard]},
    {path: 'trainnerList/:listPageId', component: TrainnerDataListComponent, canActivate: [AuthGuard]},
    {path: 'trainer/add', component: TrainnerDataAddComponent, canActivate: [AuthGuard]},
    {path: 'trainer/edit/:trainnerEditId', component: TrainnerDataAddComponent, canActivate: [AuthGuard]},
    {path: 'reviewTrainerData/:listPageId', component: ReviewTraineeDataListComponent, canActivate: [AuthGuard]},
    {path: 'reviewTraineeData/add', component: ReviewTraineeAddComponent, canActivate: [AuthGuard]},
    {path: 'reviewTraineeData/edit/:reviewTraineeId', component: ReviewTraineeAddComponent, canActivate: [AuthGuard]},
    {path: 'reviewSectionForTrainee/:listPageId', component: SectionReviewTraineeListComponent, canActivate: [AuthGuard]},
    {path: 'reviewSectionForTrainee/edit/:reviewSectionAddId', component: SectionReviewTraineeAddComponent, canActivate: [AuthGuard]},
    {path: 'registrationTraineeList/:listPageId', component: RegistrationTraineeMovementListComponent, canActivate: [AuthGuard]},
    {path: 'registrationTraineeList/edit/:registrationTraineereviewSectionAddId', component: RegistrationTraineeMovementAddComponent, canActivate: [AuthGuard]},
    {path: 'printCardTraineeList/:listPageId', component: PrintCardTraineeListComponent, canActivate: [AuthGuard]},
    {path: 'printCardTrainee/edit/:printCardAddId', component: PrintCardTraineeAddComponent, canActivate: [AuthGuard]},
    {path: 'finalAccerditationList/:listPageId', component: FinalAccerditationListComponent, canActivate: [AuthGuard]},
    {path: 'finalAccerditationList/edit/:finalAccerditationEdit', component: FinalAccerditationAddComponent, canActivate: [AuthGuard]},
    {path: 'vehicleList/:listPageId', component: VehicleListComponent, canActivate: [AuthGuard]},
    {path: 'vehicle/add', component: VehicleAddComponent, canActivate: [AuthGuard]},
    {path: 'vehicle/edit/:vehicleEditId', component: VehicleAddComponent, canActivate: [AuthGuard]},
    {path: 'vehicleModelList/:listPageId' , component: ModelVehicleListComponent, canActivate: [AuthGuard]},
    {path: 'vehicleModel/add' , component: ModelVehicleAddComponent, canActivate: [AuthGuard]},
    {path: 'vehicleModel/edit/:modelVehicleEditId', component:ModelVehicleAddComponent, canActivate: [AuthGuard] },
    {path: 'registrationVehicleList/:listPageId', component: RegistrationVehicleListComponent, canActivate: [AuthGuard]},
    {path: 'registrationVehicle/add', component: RegistrationVehicleAddComponent, canActivate: [AuthGuard]},
    {path: 'registrationVehicle/edit/:registrationVehicleEditId', component:RegistrationVehicleAddComponent, canActivate: [AuthGuard] },
    {path: 'registerMovementVehicleList/:listPageId', component: RegisterMovementVehicleListComponent, canActivate: [AuthGuard]},
    {path: 'registerMovementVehicle/add', component: RegisterMovementVehicleAddComponent, canActivate: [AuthGuard]},
    {path: 'registerMovementVehicle/edit/:registerMovementVehicleEditId', component: RegisterMovementVehicleAddComponent, canActivate: [AuthGuard] },
    {path: 'vehicleMaintenanceList/:listPageId', component: VehicleMaintenanceListComponent, canActivate: [AuthGuard]},
    {path: 'vehicleMaintenance/add', component: VehicleMaintenanceAddComponent, canActivate: [AuthGuard]},
    {path: 'vehicleMaintenance/edit/:vehicleMaintenanceEditId', component: VehicleMaintenanceAddComponent, canActivate: [AuthGuard] },
    {path: 'existingReportVehicle', component: ExistingReportComponent, canActivate: [AuthGuard]},
    {path: 'VehicleReport/:typeReport', component: VehicleMovementReportComponent, canActivate: [AuthGuard]},
    {path: 'finalAccerditationReprot', component: FinalTraineeReportComponent, canActivate: [AuthGuard]},
    {path: 'definitionClassificationList/:listPageId', component: DefinitionListComponent, canActivate: [AuthGuard]},
    {path: 'definitionClassification/add', component: DefinitionAddComponent, canActivate: [AuthGuard]},
    {path: 'definitionClassification/edit/:editPageId', component: DefinitionAddComponent, canActivate: [AuthGuard]},
    {path: 'definitionLocationList/:locatioListPageId', component: LocationListComponent, canActivate: [AuthGuard]},
    {path: 'definitionLocation/add', component: LocationAddComponent, canActivate: [AuthGuard]},
    {path: 'definitionLocation/edit/:locationEditPageId', component: LocationAddComponent, canActivate: [AuthGuard]},
    {path: 'definitionTimeList/:timeListPageId', component: DefinitionTimeListComponent, canActivate: [AuthGuard]},
    {path: 'definitionTime/add', component: DefinitionTimeAddComponent, canActivate: [AuthGuard]},
    {path: 'definitionTime/edit/:timeEditPageId', component: DefinitionTimeAddComponent, canActivate: [AuthGuard]},
    {path: 'adminstrationContactOfficers/:adminId', component: AdminstrationContactOfficersListComponent , canActivate: [AuthGuard]},
    {path: 'departmentContactOfficers/:adminId', component: AdminstrationContactOfficersListComponent , canActivate: [AuthGuard]},
    {path: 'addNewReport/:reportId', component: AddNewReportComponent , canActivate: [AuthGuard]},
    {path: 'followCommunicationList/:listPageId', component: MaintenanceCommunicationsListComponent , canActivate: [AuthGuard]},
    {path: 'followCommunicationEdit/:followCommunicationId', component: FollowCommunicationsAddComponent, canActivate: [AuthGuard]},
    {path: 'followCommunicationDepartment/:listPageId', component: MaintenanceCommunicationsListComponent , canActivate: [AuthGuard]},
    {path: 'followCommunicationAdminEdit/:followAdminEditId', component: FollowCommunicationsAdminstrationEditComponent, canActivate: [AuthGuard]},
    {path: 'maintenanceCommunicationList/:listPageId', component: MaintenanceCommunicationsListComponent , canActivate: [AuthGuard]},
    {path: 'maintenanceCommunicationEdit/:maintEditId', component: MaintenanceCommunicationEditComponent , canActivate: [AuthGuard]}, 
    {path: 'followSectionCommunicationList/:listPageId', component: MaintenanceCommunicationsListComponent , canActivate: [AuthGuard] },   
    {path: 'followCommunicationSecEdit/:followSectEditId', component: FollowCommunicationSectionsDetailsComponent, canActivate: [AuthGuard] },
    {path: 'reportCurrentEmployeeOfficer', component: ReportCurrentEmployeeOfficerComponent, canActivate: [AuthGuard] },
    {path: 'reportCommunication', component: ReportCommunicationsComponent, canActivate: [AuthGuard] },
    {path: 'livingServiceList/:listPageId', component: LivingServiceListComponent, canActivate: [AuthGuard]},
    {path: 'livingService/add', component: LivingServiceAddComponent, canActivate: [AuthGuard]},
    {path: 'livingService/edit/:listPageEditId', component: LivingServiceAddComponent, canActivate: [AuthGuard]},
    {path: 'definitionOfConvenats/:listPageId', component: DefinitionOfCovenantsListComponent, canActivate: [AuthGuard]},
    {path: 'definitionOfConvenats', component: DefinitionOfCovenantsAddComponent, canActivate: [AuthGuard]},
    {path: 'definitionOfConvenats/edit/:listPageEditId', component: DefinitionOfCovenantsAddComponent, canActivate: [AuthGuard]},
    {path: 'recordInfoBuilding/:listPageId', component: RecordInfoBuildingListComponent, canActivate: [AuthGuard]},
    {path: 'recordInfoBuilding', component: RecordInfoBuildingAddComponent, canActivate: [AuthGuard]},
    {path: 'recordInfoBuilding/edit/:listPagEditId', component: RecordInfoBuildingAddComponent, canActivate: [AuthGuard]},
    {path: 'unitsInformation/:listPageId', component: UnitInformationListComponent, canActivate: [AuthGuard]},
    {path: 'unitsInformation', component: UnitInformationAddComponent, canActivate: [AuthGuard]},
    {path: 'unitsInformation/edit/:listPageEditId', component: UnitInformationAddComponent, canActivate: [AuthGuard]},
    {path: 'unitsBuildingInformation/:listPageId', component: UnitBuildingInformationListComponent, canActivate: [AuthGuard]},
    {path: 'unitsBuildingInformation', component: UnitBuildingInformationAddComponent, canActivate: [AuthGuard]},
    {path: 'unitsBuildingInformation/edit/:listPageEditId', component: UnitBuildingInformationAddComponent, canActivate: [AuthGuard]},
    {path: 'linkUnitToCovenants/:listPageId', component: LinkUnitToCovenantsListComponent, canActivate: [AuthGuard]},
    {path: 'linkUnitToCovenants', component: LinkUnitToCovenantsAddComponent, canActivate: [AuthGuard]},
    {path: 'linkUnitToCovenants/edit/:listPageEditId', component: LinkUnitToCovenantsAddComponent, canActivate: [AuthGuard]},
    {path: 'applicationForHousing/:reportId/:comefrom', component: ApplicationForHousingComponent, canActivate: [AuthGuard] },
    {path: 'viewRequestsForAdminstration/:listPageId', component: ViewRequestsForAdminstrationListComponent, canActivate: [AuthGuard]},
    {path: 'viewRequestsForAdminstrationDetails/:detailsId', component: ViewRequestsForAdminstrationDetailsComponent, canActivate: [AuthGuard]},
    {path: 'viewRequestsForTenant/:listPageId', component: ViewRequestsForTenantComponent, canActivate: [AuthGuard]},
    {path: 'viewRequestsForTenantDetails/:detailsId', component: ViewRequestsForTenantDetailsComponent, canActivate: [AuthGuard]},
    {path: 'femalesRequestTypesList/:listPageId', component: FemalesRequestTypesListComponent, canActivate: [AuthGuard]},
    {path: 'femalesRequestTypesAdd', component: FemalesRequestTypesAddComponent, canActivate: [AuthGuard]},
    {path: 'femalesRequestTypes/edit/:editPageId', component: FemalesRequestTypesAddComponent, canActivate: [AuthGuard]},
    {path: 'viewMyFemaleRequestsList/:listPageId', component: ViewMyFemaleRequestsListComponent, canActivate: [AuthGuard]},
    {path: 'viewMyFemaleRequestsAdd', component: ViewMyFemaleRequestsAddComponent, canActivate: [AuthGuard]},
    {path: 'viewMyFemaleRequests/edit/:editPageId/:type', component: ViewMyFemaleRequestsAddComponent, canActivate: [AuthGuard]},
    {path: 'livingSystemReports/:listPageId', component: LivingSystemReportsComponent, canActivate: [AuthGuard]},
    
    
    //LivingSystemReports
    ]},
];

@NgModule({
    imports: [
        RouterModule.forChild(dashboardRouting),
    ],
    //exports: [internalPageRoutes]
    exports: [
        RouterModule
      ]
})

export class DashBoardRouting {

}
